tabs:
  main:
    display: Main
    sections:
      -
        fields:
          -
            handle: share_text
            field:
              type: text
              display: 'Share text'
              localizable: true
              validate:
                - required
              default: 'Share:'
      -
        display: 'Social sharing platforms'
        fields:
          -
            handle: facebook
            field:
              type: group
              display: Facebook
              localizable: true
              fields:
                -
                  handle: show
                  field:
                    type: toggle
                    display: Show
                    localizable: false
                    width: 25
                -
                  handle: share_text
                  field:
                    type: text
                    display: 'Share text'
                    localizable: false
                    width: 75
                    validate:
                      - sometimes
                      - required
                    if:
                      show: 'equals true'
                    default: 'Share on Facebook'
          -
            handle: whatsapp
            field:
              type: group
              display: WhatsApp
              localizable: true
              fields:
                -
                  handle: show
                  field:
                    type: toggle
                    display: Show
                    localizable: false
                    width: 25
                -
                  handle: share_text
                  field:
                    type: text
                    display: 'Share text'
                    localizable: false
                    width: 75
                    validate:
                      - sometimes
                      - required
                    if:
                      show: 'equals true'
                    default: 'Share on WhatsApp'
          -
            handle: telegram
            field:
              type: group
              display: Telegram
              localizable: true
              fields:
                -
                  handle: show
                  field:
                    type: toggle
                    display: Show
                    localizable: false
                    width: 25
                -
                  handle: share_text
                  field:
                    type: text
                    display: 'Share text'
                    localizable: false
                    width: 75
                    validate:
                      - sometimes
                      - required
                    if:
                      show: 'equals true'
                    default: 'Share on Telegram'
          -
            handle: x
            field:
              type: group
              display: X
              localizable: true
              fields:
                -
                  handle: show
                  field:
                    type: toggle
                    display: Show
                    localizable: false
                    width: 25
                -
                  handle: share_text
                  field:
                    type: text
                    display: 'Share text'
                    localizable: false
                    width: 75
                    validate:
                      - sometimes
                      - required
                    if:
                      show: 'equals true'
                    default: 'Share on X'
          -
            handle: email
            field:
              type: group
              display: Email
              localizable: true
              fields:
                -
                  handle: show
                  field:
                    type: toggle
                    display: Show
                    localizable: false
                    width: 25
                -
                  handle: share_text
                  field:
                    type: text
                    display: 'Share text'
                    localizable: false
                    width: 75
                    validate:
                      - sometimes
                      - required
                    if:
                      show: 'equals true'
                    default: 'Share via Email'
          -
            handle: linkedin
            field:
              type: group
              display: LinkedIn
              localizable: true
              fields:
                -
                  handle: show
                  field:
                    type: toggle
                    display: Show
                    localizable: false
                    width: 25
                -
                  handle: share_text
                  field:
                    type: text
                    display: 'Share text'
                    localizable: false
                    width: 75
                    validate:
                      - sometimes
                      - required
                    if:
                      show: 'equals true'
                    default: 'Share on LinkedIn'
